## AgsIpatch

AgsIpatch — Libinstpatch wrapper

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_IPATCH_GET_OBJ_MUTEX()
gboolean | ags_ipatch_test_flags ()
void | ags_ipatch_set_flags ()
void | ags_ipatch_unset_flags ()
gboolean | ags_ipatch_check_suffix ()
AgsIpatch * | ags_ipatch_new ()

## Properties

char * | filename | Read / Write
char * | mode | Read / Write
GObject * | soundcard | Read / Write
char * | filename | Read / Write
char * | mode | Read / Write
GObject * | soundcard | Read / Write

## Types and Values

#define | AGS_IPATCH_DEFAULT_CHANNELS
#define | AGS_IPATCH_READ
#define | AGS_IPATCH_WRITE
enum | AgsIpatchFlags

## Object Hierarchy

        GFlags
        ╰── AgsIpatchFlags
        GObject
        ╰── AgsIpatch

## Includes

    #include <ags/audio/file/ags_ipatch.h>

## Description

AgsIpatch is the base object to ineract with libinstpatch.

## Functions

### AGS_IPATCH_GET_OBJ_MUTEX()

    #define AGS_IPATCH_GET_OBJ_MUTEX(obj) (&(((AgsIpatch *) obj)->obj_mutex))

### ags_ipatch_test_flags ()

    gboolean
    ags_ipatch_test_flags (AgsIpatch *ipatch,
                           AgsIpatchFlags flags);

Test `flags` to be set on `ipatch` .

#### Parameters

ipatch | the AgsIpatch |
flags | the flags |

#### Returns

`TRUE` if flags are set, else `FALSE`

Since: 3.0.0

### ags_ipatch_set_flags ()

    void
    ags_ipatch_set_flags (AgsIpatch *ipatch,
                          AgsIpatchFlags flags);

Enable a feature of `ipatch` .

#### Parameters

ipatch | the AgsIpatch |
flags | see AgsIpatchFlags |

Since: 3.0.0

### ags_ipatch_unset_flags ()

    void
    ags_ipatch_unset_flags (AgsIpatch *ipatch,
                            AgsIpatchFlags flags);

Disable a feature of `ipatch` .

#### Parameters

ipatch | the AgsIpatch |
flags | see AgsIpatchFlags |

Since: 3.0.0

### ags_ipatch_check_suffix ()

    gboolean
    ags_ipatch_check_suffix (gchar *filename);

Check `filename` 's suffix to be supported.

#### Parameters

filename | the filename |

#### Returns

`TRUE` if supported, else `FALSE`

Since: 3.0.0

### ags_ipatch_new ()

    AgsIpatch *
    ags_ipatch_new ();

Creates an AgsIpatch.

#### Returns

an empty AgsIpatch.

Since: 3.0.0

## Types and Values

### AGS_IPATCH_DEFAULT_CHANNELS

    #define AGS_IPATCH_DEFAULT_CHANNELS (2)

### AGS_IPATCH_READ

    #define AGS_IPATCH_READ "r"

### AGS_IPATCH_WRITE

    #define AGS_IPATCH_WRITE "w"

### enum AgsIpatchFlags

Enum values to control the behavior or indicate internal state of AgsFifoout by enable/disable as flags.

#### Members

AGS_IPATCH_DLS2 | DLS2 format |
AGS_IPATCH_SF2 | Soundfont2 format |
AGS_IPATCH_GIG | Gigasampler format |

## Property Details

### The `“filename”` property

      “filename”                 char *

The assigned filename.

Owner: AgsIpatch

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“mode”` property

      “mode”                     char *

The assigned mode.

Owner: AgsIpatch

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“soundcard”` property

      “soundcard”                GObject *

The assigned soundcard.

Owner: AgsIpatch

Flags: Read / Write

Since: 3.0.0

### The `“filename”` property

      “filename”                 char *

The assigned filename.

Owner: AgsIpatch

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“mode”` property

      “mode”                     char *

The assigned mode.

Owner: AgsIpatch

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“soundcard”` property

      “soundcard”                GObject *

The assigned soundcard.

Owner: AgsIpatch

Flags: Read / Write

Since: 3.0.0